Package pywbem :: Module yacc :: Class Production |
[frames] | no frames]

# Class Production

source code

    object --+
             |
            Production

Instance Methods
__init__(self, number, name, prod, precedence=`(``'``right``'``,` 0`)`, func=None, file=`'````'`, line=0) x.__init__(...) initializes x; see help(type(x)) for signature | source code
__str__(self) str(x) | source code
__repr__(self) repr(x) | source code
__len__(self) | source code
__nonzero__(self) | source code
__getitem__(self, index) | source code
lr_item(self, n) | source code
bind(self, pdict) | source code
Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__setattr__`, `__sizeof__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, number, name, prod, precedence=`(``'``right``'``,` 0`)`, func=None, file=`'````'`, line=0) (Constructor) | source code
x.__init__(...) initializes x; see help(type(x)) for signature Overrides: object.__init__ (inherited documentation)

### __str__(self) (Informal representation operator) | source code
str(x) Overrides: object.__str__ (inherited documentation)

### __repr__(self) (Representation operator) | source code
repr(x) Overrides: object.__repr__ (inherited documentation)